package main

import (
	"html/template"
	"os"
)

func main() {

	// struct 条件语句
	tplText := `hello golang {{ .Name }} {{ .Age }} {{ if eq .Sex 1 }}男{{ else }}女{{ end }}`
	tpl := template.Must(template.New("tpl").Parse(tplText))
	tpl.Execute(os.Stdout, struct {
		Name string
		Age  int
		Sex  int
	}{
		Name: "xianbin",
		Age:  18,
		Sex:  1,
	})

}
